---
id: finelite
name: FinElite
description: "FinElite (FE) is a FINNISH Private Torrent Tracker for MOVIES / TV / GENERAL"
language: fi-FI
type: private
encoding: UTF-8
links:
  - https://finelite.org/

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: text
    label: Password
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 1
    options:
      1: created
      7: seeders
      5: size
      4: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_finelite
    type: info
    label: Login Requirement
    default: "To successfully login, members must first <a href=\"https://finelite.org/staff.php\" target=\"_blank\">message FinElite staff</a>, asking that their account be whitelisted from captcha validation.</br></br>Onnistuakseen sisäänkirjautumisessa jäsenten on ensin lähetettävä <a href=\"https://finelite.org/staff.php\" target=\"_blank\">viesti FinElite henkilökunnalle</a> ja pyydettävä, että heidän tilinsä poistetaan captcha-varmennuksesta."
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Julkaisuja per sivu</b> setting to <b>100</b> on your account profile.
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "Unused IDs in the User and Power User categories are automatically deleted after 90 days. The account can be parked and stored on the site for 180 days."

caps:
  categorymappings:
    - {id: 33, cat: Audio/Audiobook, desc: "Audiobooks"}
    - {id: 29, cat: TV/Documentary, desc: "Documentary"}
    - {id: 24, cat: Books/EBook, desc: "Ebooks"}
    - {id: 10, cat: Console, desc: "Games - Console"}
    - {id: 11, cat: PC/Games, desc: "Games - PC"}
    - {id: 26, cat: Movies/Other, desc: "Kids"}
    - {id: 12, cat: Movies, desc: "Movie Pack"}
    - {id: 31, cat: Movies/UHD, desc: "Movies 4K"}
    - {id: 38, cat: Movies/BluRay, desc: "Movies BD"}
    - {id: 13, cat: Movies/DVD, desc: "Movies DVD-r"}
    - {id: 14, cat: Movies/HD, desc: "Movies HD"}
    - {id: 15, cat: Movies/SD, desc: "Movies SD"}
    - {id: 22, cat: Audio/Lossless, desc: "Music FLAC"}
    - {id: 23, cat: Audio/MP3, desc: "Music MP3"}
    - {id: 34, cat: Audio/Video, desc: "Music video"}
    - {id: 35, cat: TV/Sport, desc: "Sports"}
    - {id: 37, cat: TV/UHD, desc: "TV 4K"}
    - {id: 36, cat: TV/SD, desc: "TV DVD-R"}
    - {id: 19, cat: TV/HD, desc: "TV HD"}
    - {id: 16, cat: TV, desc: "TV Pack"}
    - {id: 17, cat: TV/SD, desc: "TV SD"}

  modes:
    search: [q]
    tv-search: [q, season, ep, imdbid]
    movie-search: [q, imdbid]
    music-search: [q]
    book-search: [q]

login:
  path: login.php
  method: form
  form: form[action="/take_login.php"]
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
  error:
    - selector: div.notice.notice-error
  test:
    path: /
    selector: a[href="/logout.php"]

search:
  paths:
    # https://finelite.org/browse.php?c14=1&c15=1&c31=1&search=tt6591554&hae=2&type=desc&cat=0&incldead=1&sort=1
    # https://finelite.org/browse.php?search=&hae=0&type=desc&cat=0&incldead=1&freeleech=yes&sort=1
    - path: browse.php
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ .Keywords }}{{ end }}"
    # 0 name&descr, 1 name, 2 descr, 3 tags, 4 imdb with rating
    hae: "{{ if .Query.IMDBID }}4{{ else }}1{{ end }}"
    # 0 active, 1 incldead, 2 deadonly
    incldead: 1
    freeleech: "{{ if .Config.freeleech }}yes{{ else }}{{ end }}"
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"

  rows:
    selector: table.main > tbody >  tr:has(a[href^="/lataa/"])

  fields:
    category:
      selector: a[href^="/browse.php?c"]
      attribute: href
      filters:
        - name: regexp
          args: c(\d+)=1
    title:
      selector: a[href^="/details/"]
    details:
      selector: a[href^="/details/"]
      attribute: href
    download:
      selector: a[href^="/lataa/"]
      attribute: href
    poster:
      selector: a[href^="/details/"] img
      attribute: src
    imdbid:
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
    date:
      # 26.3.2022 <br/>3:53
      selector: td:nth-last-child(4)
      filters:
        - name: re_replace
          args: [" (\\d{1}):(\\d{2})", " 0$1:$2"]
        - name: append
          args: " +02:00" # EET
        - name: dateparse
          args: "d.M.yyyy  HH:mm zzz"
    size:
      selector: td:nth-last-child(3)
    seeders:
      selector: td:nth-last-child(2)
    leechers:
      selector: td:nth-last-child(1)
    downloadvolumefactor:
      case:
        span[title="Freeleech"]: 0
        "*": 1
    uploadvolumefactor:
      text: 1
    minimumratio:
      text: 1.0
    minimumseedtime:
      # 3 days (as seconds = 3 x 24 x 60 x 60)
      text: 259200
# FE v4.0.0
